<template>
  <div class="stat-display">
    <div class="shortest">
      <p>
        <span>Le plus court</span>
        <span>{{ shortestBook.nbPages }} pages</span>
      </p>
      <book-cover :book="shortestBook" />
    </div>
    <div class="vr" />
    <div class="longuest">
      <book-cover :book="longuestBook" />
      <p>
        <span>Le plus long</span>
        <span>{{ longuestBook.nbPages }} pages</span>
      </p>
    </div>
  </div>
</template>

<script setup>
import BookCover from "@/components/book/BookCover.vue";

const props = defineProps({
  shortestBook: {
    type: Object,
    required: true,
  },
  longuestBook: {
    type: Object,
    required: true,
  },
});
</script>

<style scoped>
.stat-display {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 10px;
  color: var(--main-color-lighter);
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
  position: relative;

  box-shadow: 0 0 10px #dfd7d7;
  border: 1px solid #ccc;
  padding: 1vh 1vw;
}

.shortest, .longuest {
  width: 50%;
  margin: 0 1vw;
}

p {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}
.shortest p {
  color: #a7c777;
}
.longuest p {
  color: #c33333;
  margin-top: 1rem;
  margin-bottom: 0;
}
</style>